Package com.independentsoft.office.spreadsheet

# Class EmbeddedObject

java.lang.Object
com.independentsoft.office.spreadsheet.EmbeddedObject

public class EmbeddedObject extends Object
The Class EmbeddedObject.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EmbeddedObject()`
  Instantiates a new embedded object.
  `EmbeddedObject​(InternalXMLStreamReader reader)`
  Instantiates a new embedded object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EmbeddedObject`
  `clone()`
  `byte[]`
  `getBuffer()`
  Gets the buffer.
  `DataViewAspectType`
  `getDataViewAspectType()`
  Gets the data view aspect type.
  `String`
  `getFileName()`
  Gets the file name.
  `InputStream`
  `getInputStream()`
  Gets the input stream.
  `String`
  `getLink()`
  Gets the link.
  `String`
  `getProgID()`
  Gets the prog id.
  `int`
  `getShapeID()`
  Gets the shape id.
  `OleUpdateType`
  `getUpdateType()`
  Gets the update type.
  `boolean`
  `isAutoLoad()`
  Checks if is auto load.
  `void`
  `load​(String filePath)`
  Load.
  `void`
  `load​(String fileName, byte[] buffer)`
  Load.
  `void`
  `load​(String fileName, InputStream inputStream)`
  Load.
  `void`
  `save​(OutputStream outputStream)`
  Save.
  `void`
  `save​(String filePath)`
  Save.
  `void`
  `save​(String filePath, boolean overwrite)`
  Save.
  `void`
  `setAutoLoad​(boolean autoLoad)`
  Sets the auto load.
  `void`
  `setBuffer​(byte[] buffer)`
  Sets the buffer.
  `void`
  `setDataViewAspectType​(DataViewAspectType dataViewAspectType)`
  Sets the data view aspect type.
  `void`
  `setFileName​(String fileName)`
  Sets the file name.
  `void`
  `setLink​(String link)`
  Sets the link.
  `void`
  `setProgID​(String progID)`
  Sets the prog id.
  `void`
  `setShapeID​(int shapeID)`
  Sets the shape id.
  `void`
  `setUpdateType​(OleUpdateType updateType)`
  Sets the update type.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### EmbeddedObject

    public EmbeddedObject()
    Instantiates a new embedded object.

  - ### EmbeddedObject

    public EmbeddedObject​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new embedded object.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### load

    public void load​(String filePath) throws IOException
    Load.
    Parameters:
      `filePath` - the file path
    Throws:
      `IOException` - Signals that an I/O exception has occurred.

  - ### load

    public void load​(String fileName, InputStream inputStream) throws IOException
    Load.
    Parameters:
      `fileName` - the file name
      `inputStream` - the input stream
    Throws:
      `IOException` - Signals that an I/O exception has occurred.

  - ### load

    public void load​(String fileName, byte[] buffer)
    Load.
    Parameters:
      `fileName` - the file name
      `buffer` - the buffer

  - ### save

    public void save​(String filePath) throws IOException
    Save.
    Parameters:
      `filePath` - the file path
    Throws:
      `IOException` - Signals that an I/O exception has occurred.

  - ### save

    public void save​(String filePath, boolean overwrite) throws IOException
    Save.
    Parameters:
      `filePath` - the file path
      `overwrite` - the overwrite
    Throws:
      `IOException` - Signals that an I/O exception has occurred.

  - ### save

    public void save​(OutputStream outputStream) throws IOException
    Save.
    Parameters:
      `outputStream` - the output stream
    Throws:
      `IOException` - Signals that an I/O exception has occurred.

  - ### getInputStream

    public InputStream getInputStream()
    Gets the input stream.
    Returns:
      the input stream

  - ### clone

    public EmbeddedObject clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### isAutoLoad

    public boolean isAutoLoad()
    Checks if is auto load.
    Returns:
      true, if is auto load

  - ### setAutoLoad

    public void setAutoLoad​(boolean autoLoad)
    Sets the auto load.
    Parameters:
      `autoLoad` - the new auto load

  - ### getDataViewAspectType

    public DataViewAspectType getDataViewAspectType()
    Gets the data view aspect type.
    Returns:
      the data view aspect type

  - ### setDataViewAspectType

    public void setDataViewAspectType​(DataViewAspectType dataViewAspectType)
    Sets the data view aspect type.
    Parameters:
      `dataViewAspectType` - the new data view aspect type

  - ### getLink

    public String getLink()
    Gets the link.
    Returns:
      the link

  - ### setLink

    public void setLink​(String link)
    Sets the link.
    Parameters:
      `link` - the new link

  - ### getUpdateType

    public OleUpdateType getUpdateType()
    Gets the update type.
    Returns:
      the update type

  - ### setUpdateType

    public void setUpdateType​(OleUpdateType updateType)
    Sets the update type.
    Parameters:
      `updateType` - the new update type

  - ### getProgID

    public String getProgID()
    Gets the prog id.
    Returns:
      the prog id

  - ### setProgID

    public void setProgID​(String progID)
    Sets the prog id.
    Parameters:
      `progID` - the new prog id

  - ### getShapeID

    public int getShapeID()
    Gets the shape id.
    Returns:
      the shape id

  - ### setShapeID

    public void setShapeID​(int shapeID)
    Sets the shape id.
    Parameters:
      `shapeID` - the new shape id

  - ### getFileName

    public String getFileName()
    Gets the file name.
    Returns:
      the file name

  - ### setFileName

    public void setFileName​(String fileName)
    Sets the file name.
    Parameters:
      `fileName` - the new file name

  - ### getBuffer

    public byte[] getBuffer()
    Gets the buffer.
    Returns:
      the buffer

  - ### setBuffer

    public void setBuffer​(byte[] buffer)
    Sets the buffer.
    Parameters:
      `buffer` - the new buffer